GET /api/v3/meter/udf

Retrieves all user defined fields / custom fields for all meters

GetMetersUdfsV3 Permissions: Meters (View)
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountCode Account Number String equals not equals one of like not like not one of
accountId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
accountInfo Account Name String equals not equals one of like not like not one of
channelId Integer equals
city City String equals not equals one of like not like not one of
commodityCode Commodity Code String equals not equals one of like not like not one of
commodityId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
commodityInfo Commodity Name String equals not equals one of like not like not one of
hasChannels Boolean equals
hasEmissionSourceLink Linked to Carbon Hub Source Boolean equals
hasWatticsLink Linked to a Wattics data point Boolean equals
importId Device Specific Property Value String equals not equals one of like not like not one of
interval Channel Interval Integer less than equal
meterCode Logical Device Code String equals not equals one of like not like not one of
meterGroupCode Meter Group Code String equals
meterGroupId Integer equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
meterInfo Logical Device Name String equals not equals one of like not like not one of
meterTypeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
parentPlaceIsStructure Structure Boolean equals
placeCode Place Code String equals not equals one of like not like not one of
placeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
placeInfo Place Name String equals not equals one of like not like not one of
postalCode Postal Code String equals not equals one of like not like not one of
primaryUseCode Primary Use Code String equals not equals one of like not like not one of
primaryUseId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
primaryUseInfo Primary Use Name String equals not equals one of like not like not one of
rateCode Tariff Name String equals not equals one of like not like not one of
routeId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
serialNumber Device Specific Property Value String equals not equals one of like not like not one of
state State/Province String equals not equals one of like not like not one of
topmostPlaceCode Topmost Place Code String equals
topmostPlaceInfo Topmost Place Name String equals
vendorCode Vendor Code String equals not equals one of like not like not one of
vendorId Integer equals not equals less than between one of greater than less than equal greater than equal not one of
vendorInfo Vendor Name String equals not equals one of like not like not one of

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

MeterUDFResponse
Property Description Type
meterCode The meter code string
meterId The meter identifier integer (int32)
meterInfo The meter info string
udfs An array of user-defined fields (UDFs) UDFFieldChild[]
UDFFieldChild properties
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
description Required (defined) string
displayOrder Required (defined) integer (int32)
important Required (defined) boolean
name Required (defined) string
udfId Required (defined) integer (int32)
udfSelectValues Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder Required (defined) integer (int32)
udfSelectValueId Required (defined) integer (int32)
value Required (defined) string
value Required (defined) string
Example Response application/json
[
  {    "meterCode": "string",    "meterId": 1,    "meterInfo": "string",    "udfs": [
      {      "dataType": {},      "description": "string",      "displayOrder": 1,      "important": false,      "name": "string",      "udfId": 1,      "udfSelectValues": [],      "value": "string"
    }
    ]
  }
]